Unity — различия между версиями

Материал из ALT Linux Wiki
Перейти к: навигация, поиск
(редактор кода)
(+Дополнительные пакеты)
 
Строка 17: Строка 17:
 
иначе будем получать неработоспособный редактор с ошибками вида
 
иначе будем получать неработоспособный редактор с ошибками вида
 
  failed to load package manager
 
  failed to load package manager
 +
 +
=== Дополнительные пакеты ===
 +
 +
* Пакет {{Package|code}}. Можно использовать MS Visual Studio Code, прописав его в {{nav|Edit|Preferences|External Tools|External Script Editor}}.
 +
* Пакет {{Package|meld}}. В качестве утилиты для визуального сравнения и слияния можно использовать meld. После установки прописывается сама.
  
 
=== Известные проблемы ===
 
=== Известные проблемы ===
Строка 24: Строка 29:
  
 
==== Не открывается редактор кода ====
 
==== Не открывается редактор кода ====
Поставляемый редактор Monodevelop по-умолчанию не запускается. Можно использовать MS Visual Studio Code (пакет {{{package|code}}}), прописав его в {{nav|Edit|Preferences|External Tools|External Script Editor}}
+
Поставляемый редактор Monodevelop по-умолчанию не запускается.  
 
[[Category:HOWTO]]
 
[[Category:HOWTO]]
 
{{Category navigation|title=HOWTO|category=HOWTO|sortkey={{SUBPAGENAME}}}}
 
{{Category navigation|title=HOWTO|category=HOWTO|sortkey={{SUBPAGENAME}}}}

Текущая версия на 16:17, 14 октября 2017

Данная статья описывает установку, настройку и траблшутинг инструмента для разработки игр и приложений Unity.

Тестировалась версия Unity 2017.2.0f3 на системе ALT (на Сизифе от октября 2017).

Получение дистрибутива[править]

Качаем самую свежую стабильную версию перейдя по ссылке отсюда из крайнего поста. Нам нужен вариант Linux Editor Installer (self-extracting shell script)

Установка[править]

Запускаем установщик вида unity-editor-installer-2017.2.0f3.bin под рут, иначе получаем ошибку:

This installer must be run as root.

После самораспаковки обязательно меняем владельца каталога на текущего пользователя (для примера user)

chown -R user:user unity-editor-2017.2.0f3/

иначе будем получать неработоспособный редактор с ошибками вида

failed to load package manager

Дополнительные пакеты[править]

  • Пакет code[1]

. Можно использовать MS Visual Studio Code, прописав его в Edit ▷ Preferences ▷ External Tools ▷ External Script Editor.

  • Пакет meld[2]

. В качестве утилиты для визуального сравнения и слияния можно использовать meld. После установки прописывается сама.

Известные проблемы[править]

Закрывается с ошибкой[править]

При сворачивании редактор закрывается с ошибкой

Аварийный останов

Не открывается редактор кода[править]

Поставляемый редактор Monodevelop по-умолчанию не запускается.